Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller
Interface PortletControllerContext

All Known Implementing Classes:
  AbstractPortletControllerContext, PagePortletControllerContext, PortletControllerContextImpl, TCKPortletControllerContext

    public interface PortletControllerContext

The context provided to call the portlet controller.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Method Summary
`PortletInvocationContext` | `createPortletInvocationContext(java.lang.String windowId, PortletPageNavigationalState pageNavigationalState)` Create a portlet invocation context for the specified window id.
`EventControllerContext` | `getEventControllerContext()`
`PortletInfo` | `getPortletInfo(java.lang.String windowId)` Returns the portet info for a specified window.
`StateControllerContext` | `getStateControllerContext()`
`PortletInvocationResponse` | `invoke(ActionInvocation actionInvocation)`
`PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> requestCookies, EventInvocation eventInvocation)`
`PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> requestCookies, RenderInvocation renderInvocation)`
`PortletInvocationResponse` | `invoke(ResourceInvocation resourceInvocation)`

Method Detail

### getPortletInfo

    PortletInfo getPortletInfo(java.lang.String windowId)

  Returns the portet info for a specified window.

  Parameters:
    `windowId` - the window id
  Returns:
    the portlet info or null if none can be found

### createPortletInvocationContext

    PortletInvocationContext createPortletInvocationContext(java.lang.String windowId,
                                                            PortletPageNavigationalState pageNavigationalState)

  Create a portlet invocation context for the specified window id.

  Parameters:
    `windowId` - the window id
    `pageNavigationalState` -
  Returns:

### invoke

    PortletInvocationResponse invoke(ActionInvocation actionInvocation)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### invoke

    PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> requestCookies,
                                     EventInvocation eventInvocation)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### invoke

    PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> requestCookies,
                                     RenderInvocation renderInvocation)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### invoke

    PortletInvocationResponse invoke(ResourceInvocation resourceInvocation)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### getEventControllerContext

    EventControllerContext getEventControllerContext()

### getStateControllerContext

    StateControllerContext getStateControllerContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.